from pydantic import BaseModel, Field, ConfigDict


class EDMSamplerConfig(BaseModel):
    model_config: ConfigDict = ConfigDict(frozen=True, strict=True, validate_assignment=True, extra='forbid')
    num_steps: int = Field()
